<?php
/* * * *
 * Expressivo Securimage Panel for PHP-Fusion v7 Core Edition
 * file: expressivo_securimage_admin.php
 * file version: 1.0a
 *
 * author: Tomasz "jantom" Jankowski
 * webpage: http://www.jantom.info
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * * * */

require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."expressivo_securimage_panel/infusion_db.php";
include INFUSIONS."expressivo_securimage_panel/expressivo_securimage_inc.php";

if (!checkrights("ESI") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect(BASEDIR."index.php"); }

//Choose locales
if (file_exists(INFUSIONS."expressivo_securimage_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."expressivo_securimage_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."expressivo_securimage_panel/locale/English.php";
}
$result = '';
$lectors = array('','jacek', 'ewa', 'eric', 'jennifer', 'carmen'); //list of lectors

if (isset($_POST['save'])) {
	$who_talk = substr(stripinput(trim($_POST['who_talk'])), 0, 10);
	$result = dbquery("UPDATE ".ESI_TABLE." SET who_talk='".$who_talk."'");
	if ($result) {
		echo "<div class='admin-message'>".$locale['ESI_112']."</div>";
	} else {
		echo "<div class='admin-message'>".$locale['ESI_113']."</div>";
	}
	$result = dbquery("SELECT * from ".ESI_TABLE);
} else {
	$result = dbquery("SELECT * from ".ESI_TABLE);
}
if (dbrows($result)) { $esi_set = dbarray($result);}

opentable($locale['ESI_001']." - ".$esi_set['version']);
echo "<div class='tbl-border'><div class='tbl1'>".$locale['ESI_101']."<br /><span class='small'>".$locale['ESI_102']."</span></div><div id='glosy' class='tbl1'>
<form action='".FUSION_SELF.$aidlink."' method='post'>";

//Generate inputs with list of lectors
for ($i=1;$i<sizeof($lectors);$i++) {
	echo "<p><input type='radio' name='who_talk' value='".$lectors[$i]."' ".($esi_set['who_talk'] == $lectors[$i] ? " checked='checked'" : "").">".$locale['ESI_12'.$i]."</p>";
}
echo "<input type='submit' name='save' value='".$locale['ESI_111']."' class='button' />
</form>
</div></div>

<hr /><span class='small'>Expressivo Securimage Infusion | Copyright &copy; <a href='http://www.jantom.info' target='_blank' title='Jantom\'s Studio'>Tomasz \"jantom\" Jankowski</a> 2008 | Released under <a href='http://www.gnu.org/licenses/agpl-3.0-standalone.html' target='_blank' title='GNU/AGPL v3'>GNU/AGPL v3</a></span>";
closetable();
require_once THEMES."templates/footer.php";
?>