<?php
/* * * *
 * Expressivo Securimage Panel for PHP-Fusion v7 Core Edition
 * file: infusion.php
 * file version: 1.0
 *
 * author: Tomasz "jantom" Jankowski
 * webpage: http://www.jantom.info
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * * * */

if (!defined("IN_FUSION")) { die("Access Denied"); }
include INFUSIONS."expressivo_securimage_panel/infusion_db.php";
//Choose locales
if (file_exists(INFUSIONS."expressivo_securimage_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."expressivo_securimage_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."expressivo_securimage_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['ESI_001'];
$inf_description = $locale['ESI_002'];
$inf_version = "1.0";
$inf_developer = "Tomasz \"jantom\" Jankowski";
$inf_email = "jantom@php-fusion.pl";
$inf_weburl = "http://www.jantom.info";

$inf_folder = "expressivo_securimage_panel"; // The folder in which the infusion resides.

$inf_newtable[1] = ESI_TABLE." (
`who_talk` VARCHAR( 25 ) NOT NULL ,
`version` VARCHAR( 6 ) NOT NULL DEFAULT '1.0'
) TYPE=MyISAM;";

$inf_insertdbrow[1] = ESI_TABLE." (who_talk, version) VALUES ('ewa', '1.0')";
//Insert enabled panel
$inf_insertdbrow[2] = DB_PANELS." SET panel_name='".$locale['ESI_001']."', panel_filename='".$inf_folder."', panel_side=3, panel_order='99', panel_type='file', panel_access='0', panel_display='1', panel_status='1' ";

$inf_droptable[1] = ESI_TABLE;

$inf_adminpanel[1] = array(
	"title" => $locale['ESI_001'],
	"image" => "esi.gif",
	"panel" => "expressivo_securimage_admin.php",
	"rights" => "ESI"
);
?>